HomeDocumentationAPI Endpoints
Log In
API Endpoints

E-Sign Journey - Get Signed Document

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

STEP 2

Once each user completes the e-signature, businesses can invoke this API to retrieve the e-signed document. The document status will be updated in real-time as each user signs.

Image
{
  "transaction_id": "",
  "journey_transaction_id": ""
}

Journey Output Data

{
  "status": "SUCCESS",
  "message": "Success",
  "status_code": "success",
  "transaction_id": "",
  "journey_transaction_id": "",
  "journey_id": "",
  "data": {
    "keys": {
      "e-sign": [
        {
          "signed_document": "base_64 file",
          "audit_trail": "base_64 file",
          "signer_details": [
            {
              "name": "",
              "pincode": "",
              "gender": "",
              "yob": "",
              "state": "",
              "masked_aadhaar": "",
              "e_sign_status": <true/false>
            },
            {
              "name": "",
              "pincode": "",
              "gender": "",
              "yob": "",
              "state": "",
              "masked_aadhaar": "",
              "e_sign_status": <true/false>
            }
          ]
        }
      ]
    }
  }
}
📘

This journey does not include any pre-configured Ownership or Fraud Checks. To configure these checks, please contact your Account Manager.

Status Codes

ScenarioHttpStatusstatusstatus_codemessage
When the document is successfully e-signed by all the signers.200SUCCESSsuccessRequest successful
When the document is partially signed200IN_PROGRESSdocument_partially_signedDocument not signed by all the signers
When the document is not signed by any user400FAILUREdocument_not_signedDocument not signed by any signer.
When the last e-signing attempt failed.200IN_PROGRESSfailed_esign_attemptE-signing attempt failed.
When the max retries to e-sign a document exceeded.200FAILUREfailed_esignE-signing failed.
Any unhandled error from Equal's end500FAILUREinternal_server_errorSomething went wrong, please try again.
Too many requests429No object will be sent, throttling happens at the gateway level.
Service Unavailable503
Invalid Client Credentials401FAILUREinvalid_credentialsInvalid Client Credentials

Status (Journey Status)

Possible ValuesDescription
SUCCESSShows that the verification process was completed successfully.
FAILUREIndicates that the verification process did not succeed.
IN_PROGRESSSignifies that the verification process is currently underway and has not yet been completed.

Decision

Possible ValuesDescription
CLEARIndicates that the verification has been completed and the information is confirmed as accurate and legitimate.
MUST REVIEWSignifies that further review is needed due to potential issues or inconsistencies in the verification results.
NEEDS REVIEWSuggests that the verification has identified areas that require further investigation or clarification before a final determination can be made.
📘

Journey ID will be shared as part of Onboarding

KeyDescription
statusThe current status of the transaction (e.g., SUCCESS, IN_PROGRESS).
messageA message providing additional information about the status (e.g., "Success").
status_codeThe code representing the status of the transaction (e.g., "success").
transaction_idA unique identifier for the transaction.
journey_transaction_idA unique identifier for the journey transaction, which includes information about the journey and its version.
journey_idThe unique identifier of the journey associated with the transaction. It may be empty in some cases.
dataAn object containing additional data related to the transaction.
keysAn object that holds keys related to the transaction, which could be used for further processing or verification.
e-signAn array containing the signed document and audit trail information for electronic signature verification.
signed_documentThe base64 encoded signed document.
audit_trailThe base64 encoded audit trail file containing the transaction details.
signer_detailsAn array containing the details of each signer involved in the transaction.
nameThe name of the signer.
pincodeThe pincode of the signer.
genderThe gender of the signer.
yobThe year of birth of the signer.
stateThe state where the signer resides.
masked_aadhaarThe masked version of the signer's Aadhaar number.
e_sign_statusThe status of the electronic signature (true/false).
Body Params
string
required

The exchange transaction ID is generated by invoking the Initialise Exchange Transaction API. This identifier groups various verification journey requests into a single transaction, enabling the sharing and accessing of data across different verification processes. This facilitates checks such as matching the Aadhaar name with the Bank Account name, comparing the Aadhaar photo with a live image, and more.

string
required

Enter the journey_transaction_id obtained in the STEP 1.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json